DeadDrop - Feature #63

Reinit Simplecrypt Session key on ech Session
10/18/2023 12:38 PM - Sancho Fock

Status: Closed Start date:
Priority: Normal Due date:

Assignee: Sancho Fock % Done:

Category: API Estimated time:

Target version: 0.5.x

11/10/2023
11/12/2023
100%

4:00 hours

Description

Related issues:
Follows Feature #22: Customize End2End Encryption Options
Precedes Feature #60: Add 2nd Transport Layer Encryption

Closed 11/09/2023
New 11/13/2023

11/09/2023
11/14/2023

History

#1 - 10/18/2023 12:50 PM - Sancho Fock

- Target version changed from open to 0.6.x

#2 - 10/18/2023 12:51 PM - Sancho Fock

- Due date set to 02/13/2024

- Start date changed from 10/18/2023 to 02/13/2024

- Follows Feature #22: Customize End2End Encryption Options added

#3 - 10/18/2023 12:52 PM - Sancho Fock
- Precedes Feature #60: Add 2nd Transport Layer Encryption added

#4 - 10/30/2023 03:48 PM - Sancho Fock
- Due date changed from 01/25/2024 to 12/12/2023
- Start date changed from 01/25/2024 to 12/12/2023

#5 - 10/31/2023 10:52 PM - Sancho Fock

1. The session key shall be re inited at any new session to start with new Rotor positions
2. The session key shall gain rotor status during the session not resetted for any request
3. Change the Key Version from Classic to V2 for Login and registration

#6 - 11/07/2023 11:02 PM - Sancho Fock
- Due date changed from 12/08/2023 to 12/06/2023
- Start date changed from 12/08/2023 to 12/06/2023

#7 - 11/08/2023 10:35 PM - Sancho Fock
- Due date changed from 12/06/2023 to 12/01/2023
- Start date changed from 12/06/2023 to 12/01/2023

#8 - 11/09/2023 10:11 PM - Sancho Fock
- Due date changed from 12/01/2023 to 11/10/2023
- Start date changed from 12/01/2023 to 11/10/2023

#9 - 11/09/2023 10:11 PM - Sancho Fock
- Status changed from New to In Progress

- Target version changed from 0.6.x to 0.5.x

#10 - 11/12/2023 01:34 AM - Sancho Fock

04/19/2025

1/2




- Due date changed from 11/10/2023 to 11/12/2023
- % Done changed from 0 to 80

#11 - 11/12/2023 07:26 PM - Sancho Fock
- % Done changed from 80 to 100

#12 - 11/12/2023 10:09 PM - Sancho Fock

- Status changed from In Progress to Closed

04/19/2025 22
